Subject: bug#43003: 28.0.50; comint-password-prompt-regexp too restrictive

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 28 Aug 2020 16:08:58 +0200

Stephen Berman <[email-masked]> writes:

>>> +   "\\(^ *\\|\\|"
>
> (It looks like Gnus removed the ^M characters.)

Yeah, probably better to use \r instead of the ^M character directly.

> Yes, I just tested again and the password is indeed hidden only when
> `\\|' follows `^M' in the regexp.  Apparently I omitted that when I
> made the diff for the patch after testing yesterday...

That makes more sense.  But I don't think having ^M as a password prompt
regexp makes all that much sense, though -- surely there's no ^M
involved in prompting on non-Windows systems, and there you'll surely
find ^Ms all over the place, not just in password prompts?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no